TILDE(1)

NAME
tilde - an intuitive text editor for the console/terminal

SYNOPSIS
tilde [OPTIONS] [FILE]...

DESCRIPTION
Tilde is a text editor for the console/terminal, which tries to be as intuitive as possible for users who are accustomed to GUI environments such as Gnome, KDE and Windows. For example, the short-cut to copy the current selection is Control-C, and to paste the previously copied text the short-cut Control-V can be used. As another example, the File menu can be accessed by pressing Meta-F.

OPTIONS
Tilde accepts the following options:

-b, --black-white
    Force Tilde to use black & white mode. Only attributes such as reverse video, underline and bold text will be used to create the interface. This option overrides the setting from the configuration file.

-c, --color
    Request Tilde to use color mode. This option overrides the setting from the configuration file. If the terminal does not support color, or does not provide sufficient colors, this option will be ignored.

-h, --help
    Display a short help message.

-I, --select-input-method
    Ask the user to select the input handling method immediately after start-up, as if the user had not previously selected one for the current terminal type.

-T terminal, --terminal=terminal
    Set the terminal type to terminal, overriding the TERM environment variable.

-V, --version
    Print version and copyright information.

-x, --no-ext-clipboard
    Tells Tilde not to attempt to connect to the X11 clipboard.

-C config, --config=config
    Use configuration file config instead of the default configuration file, which is typically ~/.config/tilde/config.

-e encoding, --encoding=encoding
    Open any files named on the command line using character encoding encoding, instead of the default UTF-8 encoding.

To stop Tilde from interpreting file names that start with a dash as options, one can specify a double dash (--) after which Tilde will interpret any following arguments as files to read.

BUGS
If you think you have found a bug, please check that you are using the latest version of Tilde <http://os.ghalkes.nl/tilde.html>. A bugtracker is available at <https://github.com/gphalkes/tilde/issues>. When reporting bugs, please include a minimal example that demonstrates the problem.

AUTHOR
G.P. Halkes <tilde@ghalkes.nl>

COPYRIGHT
Copyright © 2011-2016,2018 G.P. Halkes
Tilde is licensed under the GNU General Public License version 3.
For more details on the license, see the file COPYING in the documentation directory. On Un*x systems this is usually /usr/share/doc/tilde.